org.apache.maven.artifact.transform

## Class AbstractVersionTransformation

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.transform.AbstractVersionTransformation

All Implemented Interfaces:
  ArtifactTransformation

Direct Known Subclasses:
  LatestArtifactTransformation, ReleaseArtifactTransformation, SnapshotTransformation

    public abstract class AbstractVersionTransformation
    extends AbstractLogEnabled
    implements ArtifactTransformation

Describes a version transformation during artifact resolution.

Version:
  $Id: AbstractVersionTransformation.java 767322 2009-04-21 22:52:54Z jdcasey $
Author:
  Brett Porter

### Field Summary

Fields
`protected RepositoryMetadataManager` `repositoryMetadataManager`
`protected WagonManager` `wagonManager`

### Fields inherited from interface org.apache.maven.artifact.transform.ArtifactTransformation

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractVersionTransformation()`

### Method Summary

Methods
`protected abstract java.lang.String` `constructVersion(Versioning versioning, java.lang.String baseVersion)`
`protected java.lang.String` `resolveVersion(Artifact artifact, ArtifactRepository localRepository, java.util.List<ArtifactRepository> remoteRepositories)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.artifact.transform.ArtifactTransformation

`transformForDeployment, transformForInstall, transformForResolve`

### Field Detail

#### repositoryMetadataManager

    protected RepositoryMetadataManager repositoryMetadataManager

#### wagonManager

    protected WagonManager wagonManager

### Constructor Detail

#### AbstractVersionTransformation

    public AbstractVersionTransformation()

### Method Detail

#### resolveVersion

    protected java.lang.String resolveVersion(Artifact artifact,
                                  ArtifactRepository localRepository,
                                  java.util.List<ArtifactRepository> remoteRepositories)
                                       throws RepositoryMetadataResolutionException

Throws:
  `RepositoryMetadataResolutionException`

#### constructVersion

    protected abstract java.lang.String constructVersion(Versioning versioning,
                                    java.lang.String baseVersion)